# Class CustomSource | AnthropicClient
Represents a custom source that contains a list of text content.

# Class CustomSource

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a custom source that contains a list of text content.

    public class CustomSource : Source

Inheritance
  object
  Source
  CustomSource

Inherited Members
  Source.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### CustomSource(List<TextContent>)

Initializes a new instance of the CustomSource class.

    public CustomSource(List<TextContent> content)

#### Parameters

`content` List<TextContent>

#### Exceptions

ArgumentNullException

  Thrown when the content is null.

## Properties

### Content

Gets the list of text content that makes up the custom source.

    public List<TextContent> Content { get; init; }

#### Property Value

List<TextContent>